package wwc.naming;

import java.net.*;
import java.io.*;
import wwc.naming.locationServer.*;

public class Registertest {
    public static void main(String args[]) {   
	long start = System.currentTimeMillis();
	try {
	    UAN uan = new UAN (args[0]);
	    UAL ual = new UAL (args[1]);
	    Socket socket = new Socket(uan.getHost(), uan.getPort());
	    BufferedReader in = new BufferedReader
		(new InputStreamReader(socket.getInputStream()));
	    PrintWriter	out = new PrintWriter(socket.getOutputStream(), true);
	    out.println("PUT "+uan.getIdentifier()+" "+ual+" "+UANProtocol.VERSION);
	    out.flush();
	    String status = in.readLine();
	    String response = in.readLine();
	    System.out.println("Server has responded : "+status + response);
	    System.out.println("in "+
			       String.valueOf(System.currentTimeMillis()
					      -start)
			       +" ms.");
	    in.close();
	    out.close();
	    socket.close();
	} catch (UANException e) {System.out.println(e.getMessage());
	} catch (UALException e) {System.out.println(e.getMessage());
	} catch (UnknownHostException e) {System.out.println(e.getMessage());
	} catch (IOException e) {System.out.println(e.getMessage());
	}
    }
}
